import "../models/phone_metadata.dart";

const metadataByIsoCode = {
  "AC": PhoneMetadata(
    dialCode: r"247",
    isoCode: r"AC",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "AD": PhoneMetadata(
    dialCode: r"376",
    isoCode: r"AD",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "AE": PhoneMetadata(
    dialCode: r"971",
    isoCode: r"AE",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "AF": PhoneMetadata(
    dialCode: r"93",
    isoCode: r"AF",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "AG": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"AG",
    leadingDigits: r"268",
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "AI": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"AI",
    leadingDigits: r"264",
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "AL": PhoneMetadata(
    dialCode: r"355",
    isoCode: r"AL",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "AM": PhoneMetadata(
    dialCode: r"374",
    isoCode: r"AM",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "AO": PhoneMetadata(
    dialCode: r"244",
    isoCode: r"AO",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "AR": PhoneMetadata(
    dialCode: r"54",
    isoCode: r"AR",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "AS": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"AS",
    leadingDigits: r"684",
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "AT": PhoneMetadata(
    dialCode: r"43",
    isoCode: r"AT",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "AU": PhoneMetadata(
    dialCode: r"61",
    isoCode: r"AU",
    leadingDigits: null,
    internationalPrefix: r"001[14-689]|14(?:1[14]|34|4[17]|[56]6|7[47]|88)0011",
    nationalPrefix: r"0",
    isMainCountryForDialCode: true,
  ),
  "AW": PhoneMetadata(
    dialCode: r"297",
    isoCode: r"AW",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "AX": PhoneMetadata(
    dialCode: r"358",
    isoCode: r"AX",
    leadingDigits: r"18",
    internationalPrefix: r"00|99(?:[01469]|5(?:[14]1|3[23]|5[59]|77|88|9[09]))",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "AZ": PhoneMetadata(
    dialCode: r"994",
    isoCode: r"AZ",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "BA": PhoneMetadata(
    dialCode: r"387",
    isoCode: r"BA",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "BB": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"BB",
    leadingDigits: r"246",
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "BD": PhoneMetadata(
    dialCode: r"880",
    isoCode: r"BD",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "BE": PhoneMetadata(
    dialCode: r"32",
    isoCode: r"BE",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "BF": PhoneMetadata(
    dialCode: r"226",
    isoCode: r"BF",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "BG": PhoneMetadata(
    dialCode: r"359",
    isoCode: r"BG",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "BH": PhoneMetadata(
    dialCode: r"973",
    isoCode: r"BH",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "BI": PhoneMetadata(
    dialCode: r"257",
    isoCode: r"BI",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "BJ": PhoneMetadata(
    dialCode: r"229",
    isoCode: r"BJ",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "BL": PhoneMetadata(
    dialCode: r"590",
    isoCode: r"BL",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "BM": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"BM",
    leadingDigits: r"441",
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "BN": PhoneMetadata(
    dialCode: r"673",
    isoCode: r"BN",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "BO": PhoneMetadata(
    dialCode: r"591",
    isoCode: r"BO",
    leadingDigits: null,
    internationalPrefix: r"00(?:1\d)?",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "BQ": PhoneMetadata(
    dialCode: r"599",
    isoCode: r"BQ",
    leadingDigits: r"[347]",
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "BR": PhoneMetadata(
    dialCode: r"55",
    isoCode: r"BR",
    leadingDigits: null,
    internationalPrefix: r"00(?:1[245]|2[1-35]|31|4[13]|[56]5|99)",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "BS": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"BS",
    leadingDigits: r"242",
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "BT": PhoneMetadata(
    dialCode: r"975",
    isoCode: r"BT",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "BW": PhoneMetadata(
    dialCode: r"267",
    isoCode: r"BW",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "BY": PhoneMetadata(
    dialCode: r"375",
    isoCode: r"BY",
    leadingDigits: null,
    internationalPrefix: r"810",
    nationalPrefix: r"8",
    isMainCountryForDialCode: false,
  ),
  "BZ": PhoneMetadata(
    dialCode: r"501",
    isoCode: r"BZ",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "CA": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"CA",
    leadingDigits: null,
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "CC": PhoneMetadata(
    dialCode: r"61",
    isoCode: r"CC",
    leadingDigits: null,
    internationalPrefix: r"001[14-689]|14(?:1[14]|34|4[17]|[56]6|7[47]|88)0011",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "CD": PhoneMetadata(
    dialCode: r"243",
    isoCode: r"CD",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "CF": PhoneMetadata(
    dialCode: r"236",
    isoCode: r"CF",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "CG": PhoneMetadata(
    dialCode: r"242",
    isoCode: r"CG",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "CH": PhoneMetadata(
    dialCode: r"41",
    isoCode: r"CH",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "CI": PhoneMetadata(
    dialCode: r"225",
    isoCode: r"CI",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "CK": PhoneMetadata(
    dialCode: r"682",
    isoCode: r"CK",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "CL": PhoneMetadata(
    dialCode: r"56",
    isoCode: r"CL",
    leadingDigits: null,
    internationalPrefix:
        r"(?:0|1(?:1[0-69]|2[02-5]|5[13-58]|69|7[0167]|8[018]))0",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "CM": PhoneMetadata(
    dialCode: r"237",
    isoCode: r"CM",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "CN": PhoneMetadata(
    dialCode: r"86",
    isoCode: r"CN",
    leadingDigits: null,
    internationalPrefix: r"00|1(?:[12]\d|79)\d\d00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "CO": PhoneMetadata(
    dialCode: r"57",
    isoCode: r"CO",
    leadingDigits: null,
    internationalPrefix: r"00(?:4(?:[14]4|56)|[579])",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "CR": PhoneMetadata(
    dialCode: r"506",
    isoCode: r"CR",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "CU": PhoneMetadata(
    dialCode: r"53",
    isoCode: r"CU",
    leadingDigits: null,
    internationalPrefix: r"119",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "CV": PhoneMetadata(
    dialCode: r"238",
    isoCode: r"CV",
    leadingDigits: null,
    internationalPrefix: r"0",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "CW": PhoneMetadata(
    dialCode: r"599",
    isoCode: r"CW",
    leadingDigits: r"[69]",
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: true,
  ),
  "CX": PhoneMetadata(
    dialCode: r"61",
    isoCode: r"CX",
    leadingDigits: null,
    internationalPrefix: r"001[14-689]|14(?:1[14]|34|4[17]|[56]6|7[47]|88)0011",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "CY": PhoneMetadata(
    dialCode: r"357",
    isoCode: r"CY",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "CZ": PhoneMetadata(
    dialCode: r"420",
    isoCode: r"CZ",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "DE": PhoneMetadata(
    dialCode: r"49",
    isoCode: r"DE",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "DJ": PhoneMetadata(
    dialCode: r"253",
    isoCode: r"DJ",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "DK": PhoneMetadata(
    dialCode: r"45",
    isoCode: r"DK",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "DM": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"DM",
    leadingDigits: r"767",
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "DO": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"DO",
    leadingDigits: r"8001|8[024]9",
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "DZ": PhoneMetadata(
    dialCode: r"213",
    isoCode: r"DZ",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "EC": PhoneMetadata(
    dialCode: r"593",
    isoCode: r"EC",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "EE": PhoneMetadata(
    dialCode: r"372",
    isoCode: r"EE",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "EG": PhoneMetadata(
    dialCode: r"20",
    isoCode: r"EG",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "EH": PhoneMetadata(
    dialCode: r"212",
    isoCode: r"EH",
    leadingDigits: r"528[89]",
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "ER": PhoneMetadata(
    dialCode: r"291",
    isoCode: r"ER",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "ES": PhoneMetadata(
    dialCode: r"34",
    isoCode: r"ES",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "ET": PhoneMetadata(
    dialCode: r"251",
    isoCode: r"ET",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "FI": PhoneMetadata(
    dialCode: r"358",
    isoCode: r"FI",
    leadingDigits: r"1[03-79]|[2-9]",
    internationalPrefix: r"00|99(?:[01469]|5(?:[14]1|3[23]|5[59]|77|88|9[09]))",
    nationalPrefix: r"0",
    isMainCountryForDialCode: true,
  ),
  "FJ": PhoneMetadata(
    dialCode: r"679",
    isoCode: r"FJ",
    leadingDigits: null,
    internationalPrefix: r"0(?:0|52)",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "FK": PhoneMetadata(
    dialCode: r"500",
    isoCode: r"FK",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "FM": PhoneMetadata(
    dialCode: r"691",
    isoCode: r"FM",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "FO": PhoneMetadata(
    dialCode: r"298",
    isoCode: r"FO",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "FR": PhoneMetadata(
    dialCode: r"33",
    isoCode: r"FR",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "GA": PhoneMetadata(
    dialCode: r"241",
    isoCode: r"GA",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "GB": PhoneMetadata(
    dialCode: r"44",
    isoCode: r"GB",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: true,
  ),
  "GD": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"GD",
    leadingDigits: r"473",
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "GE": PhoneMetadata(
    dialCode: r"995",
    isoCode: r"GE",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "GF": PhoneMetadata(
    dialCode: r"594",
    isoCode: r"GF",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "GG": PhoneMetadata(
    dialCode: r"44",
    isoCode: r"GG",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "GH": PhoneMetadata(
    dialCode: r"233",
    isoCode: r"GH",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "GI": PhoneMetadata(
    dialCode: r"350",
    isoCode: r"GI",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "GL": PhoneMetadata(
    dialCode: r"299",
    isoCode: r"GL",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "GM": PhoneMetadata(
    dialCode: r"220",
    isoCode: r"GM",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "GN": PhoneMetadata(
    dialCode: r"224",
    isoCode: r"GN",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "GP": PhoneMetadata(
    dialCode: r"590",
    isoCode: r"GP",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: true,
  ),
  "GQ": PhoneMetadata(
    dialCode: r"240",
    isoCode: r"GQ",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "GR": PhoneMetadata(
    dialCode: r"30",
    isoCode: r"GR",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "GT": PhoneMetadata(
    dialCode: r"502",
    isoCode: r"GT",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "GU": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"GU",
    leadingDigits: r"671",
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "GW": PhoneMetadata(
    dialCode: r"245",
    isoCode: r"GW",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "GY": PhoneMetadata(
    dialCode: r"592",
    isoCode: r"GY",
    leadingDigits: null,
    internationalPrefix: r"001",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "HK": PhoneMetadata(
    dialCode: r"852",
    isoCode: r"HK",
    leadingDigits: null,
    internationalPrefix: r"00(?:30|5[09]|[126-9]?)",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "HN": PhoneMetadata(
    dialCode: r"504",
    isoCode: r"HN",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "HR": PhoneMetadata(
    dialCode: r"385",
    isoCode: r"HR",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "HT": PhoneMetadata(
    dialCode: r"509",
    isoCode: r"HT",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "HU": PhoneMetadata(
    dialCode: r"36",
    isoCode: r"HU",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"06",
    isMainCountryForDialCode: false,
  ),
  "ID": PhoneMetadata(
    dialCode: r"62",
    isoCode: r"ID",
    leadingDigits: null,
    internationalPrefix: r"00[89]",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "IE": PhoneMetadata(
    dialCode: r"353",
    isoCode: r"IE",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "IL": PhoneMetadata(
    dialCode: r"972",
    isoCode: r"IL",
    leadingDigits: null,
    internationalPrefix: r"0(?:0|1[2-9])",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "IM": PhoneMetadata(
    dialCode: r"44",
    isoCode: r"IM",
    leadingDigits: r"74576|(?:16|7[56])24",
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "IN": PhoneMetadata(
    dialCode: r"91",
    isoCode: r"IN",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "IO": PhoneMetadata(
    dialCode: r"246",
    isoCode: r"IO",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "IQ": PhoneMetadata(
    dialCode: r"964",
    isoCode: r"IQ",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "IR": PhoneMetadata(
    dialCode: r"98",
    isoCode: r"IR",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "IS": PhoneMetadata(
    dialCode: r"354",
    isoCode: r"IS",
    leadingDigits: null,
    internationalPrefix: r"00|1(?:0(?:01|[12]0)|100)",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "IT": PhoneMetadata(
    dialCode: r"39",
    isoCode: r"IT",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: true,
  ),
  "JE": PhoneMetadata(
    dialCode: r"44",
    isoCode: r"JE",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "JM": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"JM",
    leadingDigits: r"658|876",
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "JO": PhoneMetadata(
    dialCode: r"962",
    isoCode: r"JO",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "JP": PhoneMetadata(
    dialCode: r"81",
    isoCode: r"JP",
    leadingDigits: null,
    internationalPrefix: r"010",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "KE": PhoneMetadata(
    dialCode: r"254",
    isoCode: r"KE",
    leadingDigits: null,
    internationalPrefix: r"000",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "KG": PhoneMetadata(
    dialCode: r"996",
    isoCode: r"KG",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "KH": PhoneMetadata(
    dialCode: r"855",
    isoCode: r"KH",
    leadingDigits: null,
    internationalPrefix: r"00[14-9]",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "KI": PhoneMetadata(
    dialCode: r"686",
    isoCode: r"KI",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "KM": PhoneMetadata(
    dialCode: r"269",
    isoCode: r"KM",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "KN": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"KN",
    leadingDigits: r"869",
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "KP": PhoneMetadata(
    dialCode: r"850",
    isoCode: r"KP",
    leadingDigits: null,
    internationalPrefix: r"00|99",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "KR": PhoneMetadata(
    dialCode: r"82",
    isoCode: r"KR",
    leadingDigits: null,
    internationalPrefix: r"00(?:[125689]|3(?:[46]5|91)|7(?:00|27|3|55|6[126]))",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "KW": PhoneMetadata(
    dialCode: r"965",
    isoCode: r"KW",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "KY": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"KY",
    leadingDigits: r"345",
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "KZ": PhoneMetadata(
    dialCode: r"7",
    isoCode: r"KZ",
    leadingDigits: r"33|7",
    internationalPrefix: r"810",
    nationalPrefix: r"8",
    isMainCountryForDialCode: false,
  ),
  "LA": PhoneMetadata(
    dialCode: r"856",
    isoCode: r"LA",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "LB": PhoneMetadata(
    dialCode: r"961",
    isoCode: r"LB",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "LC": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"LC",
    leadingDigits: r"758",
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "LI": PhoneMetadata(
    dialCode: r"423",
    isoCode: r"LI",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "LK": PhoneMetadata(
    dialCode: r"94",
    isoCode: r"LK",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "LR": PhoneMetadata(
    dialCode: r"231",
    isoCode: r"LR",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "LS": PhoneMetadata(
    dialCode: r"266",
    isoCode: r"LS",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "LT": PhoneMetadata(
    dialCode: r"370",
    isoCode: r"LT",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"8",
    isMainCountryForDialCode: false,
  ),
  "LU": PhoneMetadata(
    dialCode: r"352",
    isoCode: r"LU",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "LV": PhoneMetadata(
    dialCode: r"371",
    isoCode: r"LV",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "LY": PhoneMetadata(
    dialCode: r"218",
    isoCode: r"LY",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "MA": PhoneMetadata(
    dialCode: r"212",
    isoCode: r"MA",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: true,
  ),
  "MC": PhoneMetadata(
    dialCode: r"377",
    isoCode: r"MC",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "MD": PhoneMetadata(
    dialCode: r"373",
    isoCode: r"MD",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "ME": PhoneMetadata(
    dialCode: r"382",
    isoCode: r"ME",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "MF": PhoneMetadata(
    dialCode: r"590",
    isoCode: r"MF",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "MG": PhoneMetadata(
    dialCode: r"261",
    isoCode: r"MG",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "MH": PhoneMetadata(
    dialCode: r"692",
    isoCode: r"MH",
    leadingDigits: null,
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "MK": PhoneMetadata(
    dialCode: r"389",
    isoCode: r"MK",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "ML": PhoneMetadata(
    dialCode: r"223",
    isoCode: r"ML",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "MM": PhoneMetadata(
    dialCode: r"95",
    isoCode: r"MM",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "MN": PhoneMetadata(
    dialCode: r"976",
    isoCode: r"MN",
    leadingDigits: null,
    internationalPrefix: r"001",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "MO": PhoneMetadata(
    dialCode: r"853",
    isoCode: r"MO",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "MP": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"MP",
    leadingDigits: r"670",
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "MQ": PhoneMetadata(
    dialCode: r"596",
    isoCode: r"MQ",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "MR": PhoneMetadata(
    dialCode: r"222",
    isoCode: r"MR",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "MS": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"MS",
    leadingDigits: r"664",
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "MT": PhoneMetadata(
    dialCode: r"356",
    isoCode: r"MT",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "MU": PhoneMetadata(
    dialCode: r"230",
    isoCode: r"MU",
    leadingDigits: null,
    internationalPrefix: r"0(?:0|[24-7]0|3[03])",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "MV": PhoneMetadata(
    dialCode: r"960",
    isoCode: r"MV",
    leadingDigits: null,
    internationalPrefix: r"0(?:0|19)",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "MW": PhoneMetadata(
    dialCode: r"265",
    isoCode: r"MW",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "MX": PhoneMetadata(
    dialCode: r"52",
    isoCode: r"MX",
    leadingDigits: null,
    internationalPrefix: r"0[09]",
    nationalPrefix: r"01",
    isMainCountryForDialCode: false,
  ),
  "MY": PhoneMetadata(
    dialCode: r"60",
    isoCode: r"MY",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "MZ": PhoneMetadata(
    dialCode: r"258",
    isoCode: r"MZ",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "NA": PhoneMetadata(
    dialCode: r"264",
    isoCode: r"NA",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "NC": PhoneMetadata(
    dialCode: r"687",
    isoCode: r"NC",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "NE": PhoneMetadata(
    dialCode: r"227",
    isoCode: r"NE",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "NF": PhoneMetadata(
    dialCode: r"672",
    isoCode: r"NF",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "NG": PhoneMetadata(
    dialCode: r"234",
    isoCode: r"NG",
    leadingDigits: null,
    internationalPrefix: r"009",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "NI": PhoneMetadata(
    dialCode: r"505",
    isoCode: r"NI",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "NL": PhoneMetadata(
    dialCode: r"31",
    isoCode: r"NL",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "NO": PhoneMetadata(
    dialCode: r"47",
    isoCode: r"NO",
    leadingDigits: r"[02-689]|7[0-8]",
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: true,
  ),
  "NP": PhoneMetadata(
    dialCode: r"977",
    isoCode: r"NP",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "NR": PhoneMetadata(
    dialCode: r"674",
    isoCode: r"NR",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "NU": PhoneMetadata(
    dialCode: r"683",
    isoCode: r"NU",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "NZ": PhoneMetadata(
    dialCode: r"64",
    isoCode: r"NZ",
    leadingDigits: null,
    internationalPrefix: r"0(?:0|161)",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "OM": PhoneMetadata(
    dialCode: r"968",
    isoCode: r"OM",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "PA": PhoneMetadata(
    dialCode: r"507",
    isoCode: r"PA",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "PE": PhoneMetadata(
    dialCode: r"51",
    isoCode: r"PE",
    leadingDigits: null,
    internationalPrefix: r"19(?:1[124]|77|90)00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "PF": PhoneMetadata(
    dialCode: r"689",
    isoCode: r"PF",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "PG": PhoneMetadata(
    dialCode: r"675",
    isoCode: r"PG",
    leadingDigits: null,
    internationalPrefix: r"00|140[1-3]",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "PH": PhoneMetadata(
    dialCode: r"63",
    isoCode: r"PH",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "PK": PhoneMetadata(
    dialCode: r"92",
    isoCode: r"PK",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "PL": PhoneMetadata(
    dialCode: r"48",
    isoCode: r"PL",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "PM": PhoneMetadata(
    dialCode: r"508",
    isoCode: r"PM",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "PR": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"PR",
    leadingDigits: r"787|939",
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "PS": PhoneMetadata(
    dialCode: r"970",
    isoCode: r"PS",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "PT": PhoneMetadata(
    dialCode: r"351",
    isoCode: r"PT",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "PW": PhoneMetadata(
    dialCode: r"680",
    isoCode: r"PW",
    leadingDigits: null,
    internationalPrefix: r"01[12]",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "PY": PhoneMetadata(
    dialCode: r"595",
    isoCode: r"PY",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "QA": PhoneMetadata(
    dialCode: r"974",
    isoCode: r"QA",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "RE": PhoneMetadata(
    dialCode: r"262",
    isoCode: r"RE",
    leadingDigits: r"26[23]|69|[89]",
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: true,
  ),
  "RO": PhoneMetadata(
    dialCode: r"40",
    isoCode: r"RO",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "RS": PhoneMetadata(
    dialCode: r"381",
    isoCode: r"RS",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "RU": PhoneMetadata(
    dialCode: r"7",
    isoCode: r"RU",
    leadingDigits: r"3[04-689]|[489]",
    internationalPrefix: r"810",
    nationalPrefix: r"8",
    isMainCountryForDialCode: true,
  ),
  "RW": PhoneMetadata(
    dialCode: r"250",
    isoCode: r"RW",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "SA": PhoneMetadata(
    dialCode: r"966",
    isoCode: r"SA",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "SB": PhoneMetadata(
    dialCode: r"677",
    isoCode: r"SB",
    leadingDigits: null,
    internationalPrefix: r"0[01]",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "SC": PhoneMetadata(
    dialCode: r"248",
    isoCode: r"SC",
    leadingDigits: null,
    internationalPrefix: r"010|0[0-2]",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "SD": PhoneMetadata(
    dialCode: r"249",
    isoCode: r"SD",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "SE": PhoneMetadata(
    dialCode: r"46",
    isoCode: r"SE",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "SG": PhoneMetadata(
    dialCode: r"65",
    isoCode: r"SG",
    leadingDigits: null,
    internationalPrefix: r"0[0-3]\d",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "SH": PhoneMetadata(
    dialCode: r"290",
    isoCode: r"SH",
    leadingDigits: r"[256]",
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: true,
  ),
  "SI": PhoneMetadata(
    dialCode: r"386",
    isoCode: r"SI",
    leadingDigits: null,
    internationalPrefix: r"00|10(?:22|66|88|99)",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "SJ": PhoneMetadata(
    dialCode: r"47",
    isoCode: r"SJ",
    leadingDigits: r"79",
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "SK": PhoneMetadata(
    dialCode: r"421",
    isoCode: r"SK",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "SL": PhoneMetadata(
    dialCode: r"232",
    isoCode: r"SL",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "SM": PhoneMetadata(
    dialCode: r"378",
    isoCode: r"SM",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "SN": PhoneMetadata(
    dialCode: r"221",
    isoCode: r"SN",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "SO": PhoneMetadata(
    dialCode: r"252",
    isoCode: r"SO",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "SR": PhoneMetadata(
    dialCode: r"597",
    isoCode: r"SR",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "SS": PhoneMetadata(
    dialCode: r"211",
    isoCode: r"SS",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "ST": PhoneMetadata(
    dialCode: r"239",
    isoCode: r"ST",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "SV": PhoneMetadata(
    dialCode: r"503",
    isoCode: r"SV",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "SX": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"SX",
    leadingDigits: r"721",
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "SY": PhoneMetadata(
    dialCode: r"963",
    isoCode: r"SY",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "SZ": PhoneMetadata(
    dialCode: r"268",
    isoCode: r"SZ",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "TA": PhoneMetadata(
    dialCode: r"290",
    isoCode: r"TA",
    leadingDigits: r"8",
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "TC": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"TC",
    leadingDigits: r"649",
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "TD": PhoneMetadata(
    dialCode: r"235",
    isoCode: r"TD",
    leadingDigits: null,
    internationalPrefix: r"00|16",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "TG": PhoneMetadata(
    dialCode: r"228",
    isoCode: r"TG",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "TH": PhoneMetadata(
    dialCode: r"66",
    isoCode: r"TH",
    leadingDigits: null,
    internationalPrefix: r"00[1-9]",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "TJ": PhoneMetadata(
    dialCode: r"992",
    isoCode: r"TJ",
    leadingDigits: null,
    internationalPrefix: r"810",
    nationalPrefix: r"8",
    isMainCountryForDialCode: false,
  ),
  "TK": PhoneMetadata(
    dialCode: r"690",
    isoCode: r"TK",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "TL": PhoneMetadata(
    dialCode: r"670",
    isoCode: r"TL",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "TM": PhoneMetadata(
    dialCode: r"993",
    isoCode: r"TM",
    leadingDigits: null,
    internationalPrefix: r"810",
    nationalPrefix: r"8",
    isMainCountryForDialCode: false,
  ),
  "TN": PhoneMetadata(
    dialCode: r"216",
    isoCode: r"TN",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "TO": PhoneMetadata(
    dialCode: r"676",
    isoCode: r"TO",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "TR": PhoneMetadata(
    dialCode: r"90",
    isoCode: r"TR",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "TT": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"TT",
    leadingDigits: r"868",
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "TV": PhoneMetadata(
    dialCode: r"688",
    isoCode: r"TV",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "TW": PhoneMetadata(
    dialCode: r"886",
    isoCode: r"TW",
    leadingDigits: null,
    internationalPrefix: r"0(?:0[25-79]|19)",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "TZ": PhoneMetadata(
    dialCode: r"255",
    isoCode: r"TZ",
    leadingDigits: null,
    internationalPrefix: r"00[056]",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "UA": PhoneMetadata(
    dialCode: r"380",
    isoCode: r"UA",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "UG": PhoneMetadata(
    dialCode: r"256",
    isoCode: r"UG",
    leadingDigits: null,
    internationalPrefix: r"00[057]",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "US": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"US",
    leadingDigits: null,
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: true,
  ),
  "UY": PhoneMetadata(
    dialCode: r"598",
    isoCode: r"UY",
    leadingDigits: null,
    internationalPrefix: r"0(?:0|1[3-9]\d)",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "UZ": PhoneMetadata(
    dialCode: r"998",
    isoCode: r"UZ",
    leadingDigits: null,
    internationalPrefix: r"810",
    nationalPrefix: r"8",
    isMainCountryForDialCode: false,
  ),
  "VA": PhoneMetadata(
    dialCode: r"39",
    isoCode: r"VA",
    leadingDigits: r"06698",
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "VC": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"VC",
    leadingDigits: r"784",
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "VE": PhoneMetadata(
    dialCode: r"58",
    isoCode: r"VE",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "VG": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"VG",
    leadingDigits: r"284",
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "VI": PhoneMetadata(
    dialCode: r"1",
    isoCode: r"VI",
    leadingDigits: r"340",
    internationalPrefix: r"011",
    nationalPrefix: r"1",
    isMainCountryForDialCode: false,
  ),
  "VN": PhoneMetadata(
    dialCode: r"84",
    isoCode: r"VN",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "VU": PhoneMetadata(
    dialCode: r"678",
    isoCode: r"VU",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "WF": PhoneMetadata(
    dialCode: r"681",
    isoCode: r"WF",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "WS": PhoneMetadata(
    dialCode: r"685",
    isoCode: r"WS",
    leadingDigits: null,
    internationalPrefix: r"0",
    nationalPrefix: null,
    isMainCountryForDialCode: false,
  ),
  "XK": PhoneMetadata(
    dialCode: r"383",
    isoCode: r"XK",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "YE": PhoneMetadata(
    dialCode: r"967",
    isoCode: r"YE",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "YT": PhoneMetadata(
    dialCode: r"262",
    isoCode: r"YT",
    leadingDigits: r"269|63",
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "ZA": PhoneMetadata(
    dialCode: r"27",
    isoCode: r"ZA",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "ZM": PhoneMetadata(
    dialCode: r"260",
    isoCode: r"ZM",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
  "ZW": PhoneMetadata(
    dialCode: r"263",
    isoCode: r"ZW",
    leadingDigits: null,
    internationalPrefix: r"00",
    nationalPrefix: r"0",
    isMainCountryForDialCode: false,
  ),
};
